IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_tbUserIPAddress_tbIPAddressRange]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tbUserIPAddress] DROP CONSTRAINT [FK_tbUserIPAddress_tbIPAddressRange]
GO

ALTER TABLE [dbo].[tbUserIPAddress] ADD 
	CONSTRAINT [FK_tbUserIPAddress_tbIPAddressRange] FOREIGN KEY 
	(
		[IPAddressRangeId]
	) REFERENCES [dbo].[tbIPAddressRange] (
		[IPAddressRangeId]
	) 
GO

IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[FK_tbUserIPAddress_tbUser]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[tbUserIPAddress] DROP CONSTRAINT [FK_tbUserIPAddress_tbUser]
GO

ALTER TABLE [dbo].[tbUserIPAddress] ADD 
	CONSTRAINT [FK_tbUserIPAddress_tbUser] FOREIGN KEY 
	(
		[UserId]
	) REFERENCES [dbo].[tbUser] (
		[UserId]
	) 
GO
