<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="ihawu_web" tagname="LicenseLink" src="~/usercontrols/LicenseLink.ascx" %>
<%@ Page language="c#" Codebehind="ConfigurationPasswordChanging.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.ConfigurationPasswordChanging" %>

<ihawu:masterpage id="masterPage" runat="server">
	<custom:NewDialog id="PasswordChangeConfigurationDialog" caption="Remote Password Changing Configuration" Watermark="images/water_tools.gif" runat="server">
	<table style="width:350px;">
		<tr>
			<td style="width:320px;">
				<thycotic:fieldlabel id="EnablePasswordChangingFieldLabel" runat="server" Text="Enable Remote Password Changing"/>
			</td>
			<td>
				<thycotic:label id="EnablePasswordChangingValueLabel" runat="server" />
			</td>
		</tr>
  </table>
  <p runat="server" id="LicenseNoteParagraph" class="Note" visible="false">
    	<img src="images/alert.gif" align="middle"/><asp:Literal runat="server" id="InstallLicensesTextLiteral" text="You must install a Remote Password Changing Add-On license to use this feature." />
		<br/><ihawu_web:licenselink id="LicenseLink1" runat="server" />
  </p> 
  <br />
  <thycotic:button id="BackButton" runat="server" Text="Back" /> 
  <thycotic:button id="EditButton" runat="server" Text="Edit" />
  
	</custom:NewDialog>
	<br />
	<custom:NewDialog id="PasswordChangingLogDialog" caption="Remote Password Changing Log" runat="server">
		<thycotic:DataGrid runat="server" PageSize="50" id="PasswordChangeLogDataGrid">
		<columns>
			<asp:TemplateColumn HeaderText="Date">
				<ItemTemplate>
					<thycotic:Label runat="server" id="MessageDateLabel" />
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Message">
				<ItemTemplate>
					<thycotic:Label runat="server" id="StatusMessageLabel" />
				</ItemTemplate>
			</asp:TemplateColumn>
		</columns>
	</thycotic:DataGrid>
	</custom:NewDialog>
</ihawu:masterpage>
